Linux Archive

Linux Archive (http://www.linux-archive.org/)
-   Gentoo User (http://www.linux-archive.org/gentoo-user/)
-   -   usb webcam (http://www.linux-archive.org/gentoo-user/178200-usb-webcam.html)

KH 10-17-2008 05:33 PM

usb webcam
 
RYAN vAN GINNEKEN schrieb:
> Hello all i have a fairly fresh install of Gentoo 2008 and am trying to get my old usb webcam to work. Have tried to install spca5xx and gspca with emerge but always get the following errors for both. This is worry some as i would like the system to be as stable as possible but need my webcam to work.
>
> [snip]
>
> So i read the in handbook googled around a bit and added these to the /etc/portage/package.keywords however this did not work.
>
> media-video/gspca
> media-video/spca5xx
>
> [snip]
For me the keywords always look like that:

=www-client/mozilla-firefox-3.0.3 ~amd64
=dev-libs/nss-3.12 ~amd64



You also can use > or >= (I think) but you need a version number. Choose
~ for you system like ~x86 (You don't need to specify I think)

kh

RYAN vAN GINNEKEN 10-17-2008 06:02 PM

usb webcam
 
----- "KH" <gentoo-user@konstantinhansen.de> wrote:

> RYAN vAN GINNEKEN schrieb:
> > Hello all i have a fairly fresh install of Gentoo 2008 and am trying
> to get my old usb webcam to work. Have tried to install spca5xx and
> gspca with emerge but always get the following errors for both. This
> is worry some as i would like the system to be as stable as possible
> but need my webcam to work.
> >
> > [snip]
> >
> > So i read the in handbook googled around a bit and added these to
> the /etc/portage/package.keywords however this did not work.
> >
> > media-video/gspca
> > media-video/spca5xx
> >
> > [snip]
> For me the keywords always look like that:
>
> =www-client/mozilla-firefox-3.0.3 ~amd64
> =dev-libs/nss-3.12 ~amd64
>
hmmmm keywords are placed in the /etc/portage/package.keywords file right?

I have tried the additional combos below, but still cannot build the spca5xx port. The first one gives me invalid atom error the rest just give the package mask error mentioned in my first email.

=media-video/spca5xx
=media-video/spca5xx-20060501-r1 ~x86
<=media-video/spca5xx-20060501-r1 ~x86
>=media-video/spca5xx-20060501-r1 ~x86

funny thing is i got the masked zoneminder port to build using these in /etc/portage/package.keywords

www-misc/zoneminder
dev-perl/PHP-Serialization


ps i am using ccache could that have an effect?



>
>
> You also can use > or >= (I think) but you need a version number.
> Choose
> ~ for you system like ~x86 (You don't need to specify I think)
>
> kh


All times are GMT. The time now is 10:31 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.